


// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot		0// dummy weapons
#define WeaponSlotPrimary	1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem		256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted	65536

class CfgPatches
{
	class spdjunglesf
	{	
	units[] = {SPDsfjunglesoldier,SPDsfjungleMG,SPDsfjungleGL,SPDsfjungleTL,SPDsfjungleG36a,SPDsfjungleMedic,SPDsfjungleSniper,SPDJungleCamoFace1,SPDJungleCamoFace2,SPDJungleCamoFace3,SPDJungleCamoFace4,SPDJungleCamoFace5};
	weapons[] = {SPDjungle_M21,SPDjungle_G36a,SPDjungle_GL,SPDjungle_XMS};
	requiredVersion = 1.30;
	};
};

//faces
class CfgFaces
{
	class SPDJungleCamoFace1
	{
		name="JungleCamoFace1";
		texture="\spdjunglesf\Faces\SPDJungleCamoFace1.jpg";
		east=1;
		west=1;
	};
	class SPDJungleCamoFace2
	{
		name="JungleCamoFace2";
		texture="\spdjunglesf\Faces\SPDJungleCamoFace2.jpg";
		east=1;
		west=1;
	};
	class SPDJungleCamoFace3
	{
		name="JungleCamoFace3";
		texture="\spdjunglesf\Faces\SPDJungleCamoFace3.jpg";
		east=1;
		west=1;
	};
	class SPDJungleCamoFace4
	{
		name="JungleCamoFace4";
		texture="\spdjunglesf\Faces\SPDJungleCamoFace4.jpg";
		east=1;
		west=1;
	};
	class SPDJungleCamoFace5
	{
		name="JungleCamoFace5";
		texture="\spdjunglesf\Faces\SPDJungleCamoFace5.jpg";
		east=1;
		west=1;
	};
};



//weapons
class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: Mgun {};
	class G36aBase: Riffle {};
	class SniperRiffle: Riffle{};	
	class M21: SniperRiffle{};
	class M4: Riffle{};
	class XMS: M4{};
	class M16: Riffle {};
	class GrenadeLauncher: Default {};
	class M16GrenadeLauncher: GrenadeLauncher{};	
	class G36a: G36aBase {};
	
	class SPDjungle_M21: M21 
	{
		model="\spdjunglesf\jungle_M21\SPDjungle_M21.p3d";
		picture="\spdjunglesf\Icons\junM21.jpg";	
		ammo="BulletSniperW";
		muzzles[]={jungle_M21muzzle};
		class jungle_M21muzzle : M21
		{magazines[] = {M21};}	
	};

	class SPDjungle_G36a: G36a
	{
		model="\spdjunglesf\jungle_G36a\SPDjungle_G36a.p3d";
		picture="\spdjunglesf\Icons\junG36a.jpg";		
	};

	class SPDjungle_GL: M16GrenadeLauncher
	{
		displayName="M16/203";
		model="\spdjunglesf\jungle_GL\SPDjungle_GL";
		picture="\spdjunglesf\Icons\junm16grenadelauncher.jpg";
	};
	
	class SPDjungle_XMS: XMS
	{
		model="\spdjunglesf\jungle_XMS\SPDjungle_XMS.p3d";
		picture="\spdjunglesf\Icons\junxms.jpg";
	};		
};

//Proxy Weapons
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySPDjungle_XMS: ProxyWeapon {};
	class ProxySPDjungle_GL: Proxyweapon {};
	class ProxySPDjungle_G36a: Proxyweapon {};
	class ProxySPDjungle_M21: Proxyweapon {};
};

//units
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	class SPDsfjunglesoldier:SoldierWSaboteurDay
	{
		scope=2;
		displayName="SPD Special Forces (Jungle)";
		model="\spdjunglesf\SPDsfjungleD";
		picture="\spdjunglesf\Icons\sfSOLDIER.paa";
		nameSound="soldier";
		weapons[]={"M4","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","M4","HandGrenade","HandGrenade","HandGrenade","SEBC4","SEBC4"};
		wounds[]=
{"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
"\spdjunglesf\spdjun0001a.paa","\spdjunglesf\spdjun0001a_w.paa",
"\spdjunglesf\spdjun0003a.paa","\spdjunglesf\spdjun0003a_w.paa",
"\spdjunglesf\spdjunbacka","\spdjunglesf\spdjunbacka_w",
"\spdjunglesf\spdjunfrnta","\spdjunglesf\spdjunfrnta_w",
"\spdjunglesf\spdjunlegba","\spdjunglesf\spdjunlegba_w",
"\spdjunglesf\spdjunlegfa","\spdjunglesf\spdjunlegfa_w",
"\spdjunglesf\spdjun0001b.paa","\spdjunglesf\spdjun0001b_w.paa",
"\spdjunglesf\spdjun0002b.paa","\spdjunglesf\spdjun0002b_w.paa",
"\spdjunglesf\spdjunfrntb","\spdjunglesf\spdjunfrntb_w",
"\spdjunglesf\spdjunbackb","\spdjunglesf\spdjunbackb_w",
"\spdjunglesf\spdjunlegbb","\spdjunglesf\spdjunlegbb_w",
"\spdjunglesf\spdjunlegfb","\spdjunglesf\spdjunlegfb_w",
"\spdjunglesf\spdjun0001c.paa","\spdjunglesf\spdjun0001c_w.paa",
"\spdjunglesf\spdjun0003c.paa","\spdjunglesf\spdjun0003c_w.paa",
"\spdjunglesf\spdjunbackc.paa","\spdjunglesf\spdjunbackc_w.paa",
"\spdjunglesf\spdjunban2c","\spdjunglesf\spdjunban2c_w",
"\spdjunglesf\spdjunban4c","\spdjunglesf\spdjunban4c_w",
"\spdjunglesf\spdjunfrntc.paa","\spdjunglesf\spdjunfrntc_w.paa",
"\spdjunglesf\spdjunlegbc.paa","\spdjunglesf\spdjunlegbc_w.paa",
"\spdjunglesf\spdjunlegfc.paa","\spdjunglesf\spdjunlegfc_w.paa",
"\spdjunglesf\spdjun0001d.paa","\spdjunglesf\spdjun0001d_w.paa",
"\spdjunglesf\spdjun0002d.paa","\spdjunglesf\spdjun0002d_w.paa",
"\spdjunglesf\spdjunbackd","\spdjunglesf\spdjunbackd_w",
"\spdjunglesf\spdjunfrntd","\spdjunglesf\spdjunfrntd_w",
"\spdjunglesf\spdjunlegbd","\spdjunglesf\spdjunlegbd_w",
"\spdjunglesf\spdjunlegfd","\spdjunglesf\spdjunlegfd_w"};
	};

	class SPDsfjungleMG:SPDsfjunglesoldier
	{
		displayName="SPD Special Forces (Jungle) MG";
		model="\spdjunglesf\SPDsfjungleC";
		picture="\spdjunglesf\Icons\sfMG.paa";
		nameSound="machineGunner";
		scope=2;
		weapons[]={"M60","NVGoggles","Throw","Put"};
		magazines[]={"M60","M60","M60","M60","M60"};
	};

	
	class SPDsfjungleGL:SPDsfjunglesoldier
	{
		displayName="SPD Special Forces (Jungle) GL";
		model="\spdjunglesf\SPDsfjungleA";
		picture="\spdjunglesf\Icons\sfGL.paa";
		nameSound="soldier";
		scope=2;
		weapons[]={"SPDjungle_GL","NVGoggles","Throw","Put","LAWLauncher"};
		magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","LAWLauncher"};
	};

//Team Leader	
	class SPDsfjungleTL:SPDsfjunglesoldier
	{
		displayName="SPD Special Forces (Jungle) Team Leader";
		model="\spdjunglesf\SPDsfjungleB";
		picture="\spdjunglesf\Icons\sfTL.paa";
		nameSound="officer";
		scope=2;
		weapons[]={"SPDjungle_XMS","Binocular","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","M4","M4","Handgrenade","Handgrenade","SEBC4","SEBC4"};
	};

	class SPDsfjungleG36a:SPDsfjunglesoldier
	{
		scope=2;
		picture="\spdjunglesf\Icons\sfSOLDIER.paa";
		displayName="SPD Special Forces (Jungle) G36a";
		nameSound="soldier";
		weapons[]={"SPDjungle_G36a","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"G36aMag","G36aMag","G36aMag","G36aMag","G36aMag","HandGrenade","HandGrenade","HandGrenade","SEBC4","SEBC4"};
	};

	class SPDsfjungleMedic:SPDsfjungleGL
	{
		scope=2;
		picture="\spdjunglesf\Icons\sfMEDIC.paa";
		displayName="SPD Special Forces (Jungle) Medic";
		nameSound="medic";
		attendant=1;
		weapons[]={"M4","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","SEBC4","SEBC4","pipebomb","Handgrenade"};
	};

	class SPDsfjungleSniper:SPDsfjungleMG
	{
		scope=2;
		picture="\spdjunglesf\Icons\sfSNIPER.paa";
		displayName="SPD Special Forces (Jungle) Sniper";
		nameSound="sniper";
		weapons[]={"SPDjungle_M21","NVGoggles","Throw","Put","RPGLauncher"};
		magazines[]={"M21","M21","M21","M21","M21","M21","RPGLauncher"};
	};
};
		
// Team
class CfgGroups
{
	class West {
	name="West";
		class Infantry
		{
		name="Infantry";

			class SPDSpecialForcesjungleTeam
			{
			name="SPD Special Forces Jungle Team";
				class Unit0
				{
				name="1";
				side=1;
				vehicle="SPDsfjungleTL";
				rank="Captain";
				position[]={0,5,0};
				};
				class Unit1
				{
				name="2";
				side=1;
				vehicle="SPDsfjungleSniper";
				rank="Lieutnant";
				position[]={-5,0,0};
				};
				class Unit2
				{
				name="3";
				side=1;
				vehicle="SPDsfjungleMG";
				rank="Lieutnant";
				position[]={5,0,0};
				};
				class Unit3
				{
				name="4";
				side=1;
				vehicle="SPDsfjungleMedic";
				rank="Lieutnant";
				position[]={7.5,0,0};
				};
				class Unit4
				{
				name="5";
				side=1;
				vehicle="SPDsfjungleGL";
				rank="Lieutnant";
				position[]={-7.5,0,0};
				};
				class Unit5
				{
				name="6";
				side=1;
				vehicle="SPDsfjungleG36a";
				rank="Sergeant";
				position[]={-10,0,0};
				};
				class Unit6
				{
				name="7";
				side=1;
				vehicle="SPDsfjunglesoldier";
				rank="Sergeant";
				position[]={10,0,0};
				};
			};
		};
	};
};


